VehiclePhysics

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class VehiclePhysics

    java.lang.Object
      net.ctdp.rfdynhud.gamedata.VehiclePhysics

    public class VehiclePhysics

extends java.lang.Object

This is a model of vehicle physics settings.

Author:
  Marvin Froehlich (CTDP)

Nested Class Summary
`static class` | `VehiclePhysics.Brakes` Model of brake physics parameters.
`static class` | `VehiclePhysics.Engine` Model of engine physics parameters.
`static class` | `VehiclePhysics.PhysicsSetting` Abstraction of a usual physics setting (base_value, step_size, num_steps).
`static class` | `VehiclePhysics.SlipCurve` Model of a tire slip curve.
`static class` | `VehiclePhysics.TireCompound` Model of a tire compound.
`static class` | `VehiclePhysics.UpgradeIdentifier`
`static class` | `VehiclePhysics.WheelDrive` Abstraction of possible Wheel drive settings.

Field Summary
`static VehiclePhysics.TireCompound` | `FALLBACK_COMPOUND`

Constructor Summary
`VehiclePhysics()`

Method Summary
`VehiclePhysics.Brakes` | `getBrakes()` Gets the model for all four brakes.
`VehiclePhysics.Engine` | `getEngine()` Get engine related physics parameters.
`VehiclePhysics.PhysicsSetting` | `getFrontWingRange()` Gets the front wing range of settings.
`VehiclePhysics.PhysicsSetting` | `getFuelRange()` Gets the phyiscs setting for fule range in the selected units.
`VehiclePhysics.PhysicsSetting` | `getFuelRangeL()` Gets the phyiscs setting for fule range in liters.
`VehiclePhysics.UpgradeIdentifier[]` | `getInstalledUpgrades()` Gets the list of installed upgrades.
`short` | `getNumForwardGears()` Gets the number of forward gears.
`int` | `getNumTireCompounds()` Gets the number of available `VehiclePhysics.TireCompound`s.
`VehiclePhysics.TireCompound` | `getTireCompound(int index)` Gets the `VehiclePhysics.TireCompound` by the given index.
`VehiclePhysics.TireCompound` | `getTireCompoundBestGrip(Wheel wheel)` Gets the `VehiclePhysics.TireCompound` for the given wheel, that has the best grip compared to allother available ones.
`VehiclePhysics.PhysicsSetting` | `getTirePressureRange(Wheel wheel)` Gets the range of possible values for tire pressure.
`java.io.File` | `getUsedTBCFile()` Gets TBC tire compound file, currently in use.
`float` | `getWeightOfOneLiterOfFuel()` Gets the weight of one liter of fuel in kg.
`VehiclePhysics.WheelDrive` | `getWheelDrive()` Gets the vehicle's `VehiclePhysics.WheelDrive`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FALLBACK_COMPOUND

    public static final VehiclePhysics.TireCompound FALLBACK_COMPOUND

Constructor Detail

### VehiclePhysics

    public VehiclePhysics()

Method Detail

### getFuelRangeL

    public final VehiclePhysics.PhysicsSetting getFuelRangeL()

  Gets the phyiscs setting for fule range in liters.

  Returns:
    the phyiscs setting for fule range in liters.

### getFuelRange

    public final VehiclePhysics.PhysicsSetting getFuelRange()

  Gets the phyiscs setting for fule range in the selected units.

  Returns:
    the phyiscs setting for fule range in the selected units.

### getWeightOfOneLiterOfFuel

    public final float getWeightOfOneLiterOfFuel()

  Gets the weight of one liter of fuel in kg.

  Returns:
    the weight of one liter of fuel in kg.

### getFrontWingRange

    public final VehiclePhysics.PhysicsSetting getFrontWingRange()

  Gets the front wing range of settings.

  Returns:
    the front wing range of settings.

### getWheelDrive

    public final VehiclePhysics.WheelDrive getWheelDrive()

  Gets the vehicle's `VehiclePhysics.WheelDrive`.

  Returns:
    the vehicle's `VehiclePhysics.WheelDrive`

### getNumForwardGears

    public final short getNumForwardGears()

  Gets the number of forward gears.

  Returns:
    the number of forward gears.

### getEngine

    public final VehiclePhysics.Engine getEngine()

  Get engine related physics parameters.

  Returns:
    engine related physics parameters.

### getBrakes

    public final VehiclePhysics.Brakes getBrakes()

  Gets the model for all four brakes.

  Returns:
    the model for all four brakes.

### getUsedTBCFile

    public final java.io.File getUsedTBCFile()

  Gets TBC tire compound file, currently in use. (may depend on upgrades)

  Returns:
    TBC tire compound file, currently in use.

### getNumTireCompounds

    public final int getNumTireCompounds()

  Gets the number of available `VehiclePhysics.TireCompound`s.

  Returns:
    the number of available `VehiclePhysics.TireCompound`s.

### getTireCompound

    public final VehiclePhysics.TireCompound getTireCompound(int index)

  Gets the `VehiclePhysics.TireCompound` by the given index.

  Parameters:
    `index` - zero-based
  Returns:
    the `VehiclePhysics.TireCompound` by the given index.

### getTireCompoundBestGrip

    public final VehiclePhysics.TireCompound getTireCompoundBestGrip(Wheel wheel)

  Gets the `VehiclePhysics.TireCompound` for the given wheel, that has the best grip compared to allother available ones.

  Parameters:
    `wheel` - the requested wheel
  Returns:
    the `VehiclePhysics.TireCompound` for the given wheel, that has the best grip.

### getTirePressureRange

    public final VehiclePhysics.PhysicsSetting getTirePressureRange(Wheel wheel)

  Gets the range of possible values for tire pressure.

  Parameters:
    `wheel` - the requested wheel
  Returns:
    the range of possible values for tire pressure.
  See Also:
    `VehicleSetup.WheelAndTire.getTirePressure()`

### getInstalledUpgrades

    public final VehiclePhysics.UpgradeIdentifier[] getInstalledUpgrades()

  Gets the list of installed upgrades.

  Returns:
    the list of installed upgrades or `null` if no upgrades are installed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD